Name:           web-assets
Version:        5
Release:        9
Summary:        The package is a simple framework that pushes bits to the browser
License:        MIT
URL:            https://fedoraproject.org/wiki/User:Patches/PackagingDrafts/Web_Assets
Source1:        LICENSE
Source2:        macros.web-assets
Source3:        web-assets.conf
Source4:        README.devel

BuildArch:      noarch
Provides:       %{name}-filesystem = %{version}-%{release}
Obsoletes:      %{name}-filesystem < %{version}-%{release}

%description
The package is a simple framework for pushing bits to browsers.

%package devel
Summary:        Support RPM macro of Web Assets package
License:        MIT
Requires:       %{name}-filesystem = %{version}-%{release}

%description devel
Support RPM macro of Web Assets package.

%package httpd
Summary:          Web Assets also known as the Apache HTTP daemon
License:          MIT
Requires:         %{name}-filesystem = %{version}-%{release} httpd
Requires(post):   systemd
Requires(postun): systemd

%description httpd
Web Assets also known as the Apache HTTP daemon.

%prep
%autosetup -c -T
cp %{SOURCE1} LICENSE
cp %{SOURCE4} README.devel
%build

%install
install -d %{buildroot}%{_datadir}/%{name} %{buildroot}%{_datadir}/javascript

ln -sf ../javascript %{buildroot}%{_datadir}/%{name}/javascript
ln -sf ../javascript %{buildroot}%{_datadir}/%{name}/js
ln -sf ../fonts %{buildroot}%{_datadir}/%{name}/fonts

install -Dpm0644 %{SOURCE2} %{buildroot}%{_rpmconfigdir}/macros.d/macros.%{name}
install -Dpm0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

%post httpd
systemctl reload-or-try-restart httpd.service || :

%postun httpd
systemctl reload-or-try-restart httpd.service || :

%files
%doc LICENSE
%{_datadir}/{web-assets,javascript}

%files devel
%doc README.devel
%{_rpmconfigdir}/macros.d/macros.web-assets

%files httpd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/web-assets.conf

%changelog
* Thu Dec 12 2019 duyeyu <duyeyu@huawei.com> - 5-9
- initial package
